# -----------------------------
# q2pro makefile by [SkulleR]
# -----------------------------

include ../../detect.mk

ifdef build-prefix
CC = $(build-prefix)-gcc
WINDRES = $(build-prefix)-windres
else
CC = gcc
WINDRES = windres
endif

INSTALLDIR = $(CURDIR)/../../..
OUTPUTDIR = $(CURDIR)/..
INCLUDEDIR = $(INSTALLDIR)/include
LIBDIR = #blank

VPATH = $(INSTALLDIR)/asm \
	$(INSTALLDIR)/shared \
	$(INSTALLDIR)/source

ifdef debug
CFLAGS = -g 
LDFLAGS = -g
else
#CFLAGS = -march=i686 -msse2 -mfpmath=sse -O2 -fno-strict-aliasing -DNDEBUG
CFLAGS = -march=i386 -ffloat-store -O2 -fno-strict-aliasing -DNDEBUG
LDFLAGS = -s
endif

CFLAGS += -I$(INCLUDEDIR) \
	-MF $*.d -MMD \
	-Wall \
	-Wno-missing-braces \
	-Wstrict-prototypes \
	-pipe

ifeq (win32,$(TARGETOS))
CC += -mno-cygwin
CFLAGS += -I$(INSTALLDIR)/win32-libs-mgw/include
LDFLAGS += -L$(INSTALLDIR)/win32-libs-mgw/lib
VPATH += $(RCDIR)
endif

RESFLAGS = --include-dir=$(INCLUDEDIR)

OBJFILES = #blank
SRCFILES = #blank
ASMFILES = #blank
RESFILES = #blank

CFLAGS_WIN32 = #blank
LDFLAGS_WIN32 = #blank
SRCFILES_WIN32 = #blank
ASMFILES_WIN32 = #blank

CFLAGS_WINCE = -DC_ONLY -DUNICODE
LDFLAGS_WINCE = #blank
SRCFILES_WINCE = #blank
ASMFILES_WINCE = #blank

CFLAGS_LINUX = #blank
LDFLAGS_LINUX = #blank
SRCFILES_LINUX = #blank
ASMFILES_LINUX = #blank
